#pragma once
#include "Entity.h"
#include "CS_PeLightFade.h"
//烟花（炸弹）
class CS_PeFireworksBomb :
    public Entity
{
public:
    CS_PeFireworksBomb();
    void Init(std::weak_ptr<Entity> self) override;//初始化
    void Step() override;
    void Destroy() override;
    void Shoot(float dir_x, float dir_y);//设置发射方向和速度
    void Explode();//爆炸
    int explode_counter = -1;
    std::weak_ptr<CS_PeLightFade> peLight;
};

void SetCS_PeFireworksBomb(std::shared_ptr<Entity> parent, float x, float y, float dir_x, float dir_y);